# Prerequisites

This needs:
* Coq (tested with version 8.13.0)
* the MathComp library (components ssreflect and algebra, tested with version 1.12.0)
* the Mathcomp analysis library (tested with version 0.3.5)
* the Coquelicot library (tested with version 3.2.0)
* the Flocq library (tested with version 3.4.0)

To install all those dependencies, the easisest solution is to use the
package manager OPAM (https://opam.ocaml.org/):

```
% opam repo add coq-released https://coq.inria.fr/opam/released
% opam update
% opam install coq.8.13.0 coq-mathcomp-algebra.1.12.0 coq-mathcomp-analysis.0.3.5 coq-coquelicot.3.2.0 coq-flocq.3.4.0
```

This should take a few dozen minutes. Note that you'll need OPAM 2
(old OPAM 1 won't work). This may require a few system dependencies,
for instance the developement files of the GMP library which can be
installed by `apt-get install libgmp-dev` on Debian based systems,
before re-running `opam install ...`.

# Compilation

Once above prerequisites are installed, just type make:

```
% make
```

# Documentation

To generate the documentation:

```
% make doc
```

You can then open "html/toc.html" with your favorite browser or more
precisely "html/qbound.quadratic_bound.html" for the proof of the main
theorem.
